// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.Commands;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import frc.robot.constants.OIConstants;
import frc.robot.subsystems.Drivetrain;
import frc.robot.subsystems.Flicker;


public class RobotContainer {
  private Flicker flicker;
  private Drivetrain drivetrain;
  private CommandXboxController driver;
  private CommandXboxController operator;
  public RobotContainer() {
    drivetrain = new Drivetrain();
    flicker = new Flicker();
    driver = new CommandXboxController(OIConstants.kDriverUSB);

    configureBindings();
  }

  private void configureBindings() {
    drivetrain.setDefaultCommand(
      drivetrain.driveArcade(
        driver::getLeftY, 
        driver::getLeftX
      )
    );  
    flicker.setDefaultCommand(flicker.stop());
    driver.a().onTrue(flicker.setSpeed(() ->1));
    

    
  }

  public Command getAutonomousCommand() {
    return flicker.setSpeed(() -> 1);
  }
}
