package frc.robot.subsystems;


import java.util.function.DoubleSupplier;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.constants.FlickerConstants;

public class Flicker extends SubsystemBase {
    private VictorSP motor;

    private DigitalInput photoswitch;

    public Flicker() {
        motor = new VictorSP(FlickerConstants.K3motorPWM);

        photoswitch = new DigitalInput(FlickerConstants.Photoswitch);
    
    } //sets motors and the photo switch

    public boolean photoswich() {
        return photoswitch.get();
    } //makes the photoswitch useable for the if statment
      //so the code will know if the photoswitch was blocked.
    public Command setSpeed(DoubleSupplier speed){
        return run(() -> {

        if (photoswitch.get()) {
                motor.set(speed.getAsDouble());
            } else { 
                motor.set(0);
            }
            //makes it so the motor will run but if the photoswitch can't see the frisby it will stop.
        });
        
    }

    public Command stop() {
        return setSpeed(() -> 0);
    } // stops the motor manually.
}
